Bug 4913 - Budget planning pages should show currency name instead of symbol
Summary: Budget planning pages should show currency name instead of symbol
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-25 19:18 UTC by Owen Leonard
Modified: 2010-11-30 15:54 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (6.14 KB, patch)
2010-06-25 19:50 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2010-06-25 19:18:44 UTC
In his comment on Bug 3850 Galen Charlton writes, "I also note another minor usability problem - showing the currency symbol instead of the currency name or code is not ideal; consider what would happen to a library who deals with both USD and CAD."
Comment 1 Owen Leonard 2010-06-25 19:50:55 UTC
Created attachment 2275 [details] [review]
Proposed fix

This patch adds a new include file to handle the display of the active currency name and a warning if no currency is active.
Comment 2 Chris Cormack 2010-11-15 02:22:34 UTC
Pushed and merged, please test
Comment 3 Chris Nighswonger 2010-11-18 03:15:40 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 4 Chris Nighswonger 2010-11-30 15:54:53 UTC
A fix for this bug has been committed to the current development HEAD as well as released in 3.2.1.